local Rx = require 'Rx'

local AnonymousObservable = Rx.AnonymousObservable

--------------------------------------------------------------------------------

return function(self)
    return AnonymousObservable(function(...) return self:subscribe(...) end, self)
end
